package types

var (
	Float64    = &Struct{Name: "Float64", Size: 8}
	Float32    = &Struct{Name: "Float32", Size: 4}
	Int64      = &Struct{Name: "Int64", Size: 8}
	Int32      = &Struct{Name: "Int32", Size: 4}
	Int16      = &Struct{Name: "Int16", Size: 2}
	Int8       = &Struct{Name: "Int8", Size: 1}
	PointerAny = &Pointer{To: nil}
)

var (
	Float = Float64
	Int   = Int64
)
